package org.arefgard.icerya.flow.integration.seasar2;

import org.arefgard.icerya.flow.integration.DIContainer;
import org.seasar.framework.container.S2Container;
import org.seasar.framework.container.factory.S2ContainerFactory;

public class DIContainerSeasar2 implements DIContainer {
	
	private static S2Container container;
	public DIContainerSeasar2(String path) {
		container = S2ContainerFactory.create(path);
		container.init();
	}
	public Object get(String type) {
		return container.getComponent(type);
	}

}
